#!/usr/bin/env python
# -*- coding: utf-8 -*-
from __future__ import absolute_import
import sys
import logging
from psdparse import psdparser

if __name__ == '__main__':
    """
    Let's get started!
    """

    from optparse import OptionParser
    parser = OptionParser(usage = "usage: %prog [OPTS] PSDFILE.psd")
    po = parser.add_option

    # Verbosity
    po('-v', '--verbose', default=False, action='store_true')
    po('-q', '--quiet', default=False, action='store_true')

    (OPTS, args) = parser.parse_args()

    # The global holder for all the information we really care about
    info = {}

    # Set the logger
    level = logging.INFO
    if OPTS.verbose:
        level = logging.DEBUG
    if OPTS.quiet:
        level = logging.WARNING

    handler = logging.StreamHandler()
    handler.setFormatter(logging.Formatter('[DEBUG] %(message)s'))
    psdparser.logger.addHandler(handler)
    psdparser.logger.setLevel(level)

    # Run
    if len(args) == 1:
        psd = psdparser.PSDParser(args[0])
        psd.parse()

        import yaml
        print "# YAML automatically generated by psdparser\n"
        print yaml.dump({'header': psd.header, 'ressources': psd.ressources, 'layers': psd.layers}, indent=2)

    else:
        parser.print_help()
        sys.exit(1)
